### Hierarchy

- unknown
  - Attachment

## Index

### Constructors

- constructor

### Methods

- getBytes
- getBytes_asB64
- getBytes_asU8
- getFileName
- serializeBinary
- setBytes
- setFileName
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Attachment(): Attachment

- Inherited from jspb.Message.constructor

  #### Returns Attachment

## Methods

### getBytes

- getBytes(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3794

  #### Returns string | Uint8Array

### getBytes_asB64

- getBytes_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3796

  #### Returns string

### getBytes_asU8

- getBytes_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3795

  #### Returns Uint8Array

### getFileName

- getFileName(): string

- - Defined in src/protobuf/pb_pb.d.ts:3791

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3799

  #### Returns Uint8Array

### setBytes

- setBytes(value: string | Uint8Array): Attachment

- - Defined in src/protobuf/pb_pb.d.ts:3797

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Attachment

### setFileName

- setFileName(value: string): Attachment

- - Defined in src/protobuf/pb_pb.d.ts:3792

  #### Parameters

  - ##### value: string

  #### Returns Attachment

### toObject

- toObject(includeInstance?: boolean): Attachment . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3800

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Attachment . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Attachment

- - Defined in src/protobuf/pb_pb.d.ts:3803

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Attachment

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Attachment, reader: BinaryReader): Attachment

- - Defined in src/protobuf/pb_pb.d.ts:3804

  #### Parameters

  - ##### message: Attachment

  - ##### reader: BinaryReader

  #### Returns Attachment

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Attachment, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:3802

  #### Parameters

  - ##### message: Attachment

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Attachment ): Attachment . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3801

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Attachment

  #### Returns Attachment . AsObject

Generated using TypeDoc